### Name: summary.EMclustN
### Title: summary function for EMclustN
### Aliases: summary.EMclustN print.summary.EMclustN
### Keywords: cluster

### ** Examples

data(iris)
irisMatrix <- as.matrix(iris[,1:4])

b <- apply( irisMatrix, 2, range)
n <- 450
set.seed(0)
poissonNoise <- apply(b, 2, function(x, n=n) 
                      runif(n, min = x[1]-0.1, max = x[2]+.1), n = n)
set.seed(0)
noiseInit <- sample(c(TRUE,FALSE),size=150+450,replace=TRUE,prob=c(3,1))
irisNoise <- rbind(irisMatrix, poissonNoise)

Bic <- EMclustN(data=irisNoise, noise = noiseInit)
summary(Bic, irisNoise)
summary(Bic, irisNoise, G = 0:6, modelName = c("VII", "VVI", "VVV"))



